#include "guess.h"
int find_number(int MAX) {
    int st=0, dr=MAX, ans=0;
    while(st<=dr)
    {
        int mij=st+(dr-st)/2;
        if(smaller(mij)) dr=mij-1;
        else
        {
            ans=mij;
            st=mij+1;
        }
    }
    return ans;
}